RADSQLRELAY(8)

NAME
radsqlrelay - relay SQL queries to a central database server

SYNOPSIS
radsqlrelay [-d sql_driver] [-b database] [-h host] [-u user] [-p password] [-1] file_path

DESCRIPTION
radsqlrelay tails a SQL logfile and forwards the queries to a database server. Used to replicate accounting records to one (central) database, even if the database has extended downtime.

The SQL logfile is created by the rlm_sql_log module. The module must be configured in the radiusd server before you can use radsqlrelay.

OPTIONS

-d sql_driver
    Driver to use: mysql, pg.

-b database
    Name of the database to use.

-h host
    Connect to host.

-u user
    User for login.

-p password
    Password to use when connecting to server.

-1  One-shot mode: push the file to database and exit.

file_path
    The pathname of the SQL logfile to use.

SEE ALSO
rlm_sql_log(5)

AUTHOR
Nicolas Baradakis <nicolas.baradakis@cegetel.net>